/* DontShareIt... Lite */
/* by Jim Luther */

#include <SetUpA4.h>
#include <LoMem.h>
#include <Traps.h>
#include <Types.h>
#include <Files.h>
#include <Resources.h>
#include <GestaltEqu.h>
#include <Processes.h>

#define kFileSharingCreator		'hhgg'
#define kAppleShareCreator		'hhge'
#define kASAdminCreator			'admn'

#define kAFPTranslatorName		"\p.AFPTranslator"
#define SonyRefNum				0xfffb

#define	_ServerDispatch			0xA094
#define	kAsyncBit				0x0400
#define	kHFSBit					0x0200
#define	kTrapTypeMask			0x0600
#define	kOSTrapType				0x0200

/*
**	Prototypes
*/

Ptr PatchTrap(short trapWord, short trapType, ProcPtr newAddress);

Boolean IsTargetApp(void);

OSErr PGetVolInfo(void);

short NumToolboxTraps(void);

TrapType GetTrapType(short theTrap);

Boolean	TrapAvailable(short theTrap);

void PatchGetVolInfo(void);

void SetTrapAddrPatch(void);

void main(void);
